Jifty::Action::Redirect(3)

NAME
Jifty::Action::Redirect - Redirect the browser

SYNOPSIS
  Jifty->web->new_action(
      class => 'Redirect',
      arguments => {
          url => '/my/other/page',
      },
  )->run;

DESCRIPTION
Given a URL, this action forces Jifty to perform a redirect to thast URL after processing the rest of the request.

METHODS

  new
By default, redirect actions happen as late as possible in the run order. Defaults the "order" in Jifty::Action to be 100 so it runs later than most actions.

  arguments
The only argument to redirect is the "url" to redirect to.

  take_action
If the other actions in the request have been a success so far, redirects to the provided "url". The redirect preserves all of the Jifty::Results for this action, in case the destination page wishes to inspect them.

SEE ALSO
Jifty::Action, "next_page" in Jifty::Web, "force_redirect" in Jity::Web

LICENSE
Jifty is Copyright 2005-2007 Best Practical Solutions, LLC. Jifty is distributed under the same terms as Perl itself.